﻿CREATE OR REPLACE VIEW V_PRIKLJ AS (
  SELECT P.ID_PRIKLJ, P.ID_LASTNIKA, P.ID_PLOVILA, P.ID, P.ID_STORITVE, P.OZNAKA, P.PRIKLJUCEK, P.DATUM_ZACETKA, P.DATUM_KONCA, P.ZACETNO_STANJE, P.KONCNO_STANJE, P.ZASEDEN, P.OBRACUNAN, P.STEVEC_HW_STANJE,
  N.OPIS AS NPRIKLJ_OPIS, NN.ZACETNO_STANJE AS NNPRIKLJ_ZACETNO_STANJE, NN.KONCNO_STANJE AS NNPRIKLJ_KONCNO_STANJE, NN.ZASEDEN AS NNPRIKLJ_ZASEDEN, NN.OPIS AS NNPRIKLJ_OPIS, NN.EXT_DATE AS NNPRIKLJ_EXT_DATE,
  NN.EXT_PONTOON AS NNPRIKLJ_EXT_PONTOON, NN.EXT_SOCKET AS NNPRIKLJ_EXT_SOCKET, NNP.OBJEKT AS NNPRIVEZ_OBJEKT, NNP.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, PL.IME AS PLOVILA_IME
  FROM PRIKLJ P
  LEFT OUTER JOIN NPRIKLJ N ON P.OZNAKA=N.SIFRA
  LEFT OUTER JOIN NNPRIKLJ NN ON P.OZNAKA=NN.OZNAKA AND P.PRIKLJUCEK=NN.PRIKLJ
  LEFT OUTER JOIN NNPRIVEZ NNP ON NNP.ID_PRIVEZ = NN.ID_PRIVEZ
  LEFT OUTER JOIN KUPCI K ON P.ID_LASTNIKA = K.ID
  LEFT OUTER JOIN PLOVILA PL ON P.ID_PLOVILA = PL.ID
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(362, SYSDATE, '5.5', 282, 'Pogled V_PRIKLJ');