ALTER TABLE PLOVILABELEZKE
ADD ID_PRIVEZ NUMBER;

CREATE OR REPLACE VIEW V_PLOVILABELEZKE AS (
SELECT PB.ID_PLBELEZKE, PB.IDPLOVILA, PB.ID_PRIVEZ, PB.DATUMKREIRANJA, PB.USERKREIRANJA, PB.BELEZKA, PB.VELJAVNA, PB.TYPE, PB.SUBTYPE,
PBT.OPIS AS BELEZKE_TYPE_OPIS, PBT.INTERNI_OPIS AS BELEZKE_TYPE_INTERNI_OPIS, PBS.OPIS AS BELEZKE_SUBTYPE_OPIS, PBS.INTERNI_OPIS AS BELEZKE_SUBTYPE_INTERNI_OPIS, 
PL.IME AS PLOVILA_IME, K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_PRIVEZ
FROM PLOVILABELEZKE PB
LEFT OUTER JOIN NPLOVILABELEZKE_TYPE PBT ON PBT.ID = PB.TYPE
LEFT OUTER JOIN NPLOVILABELEZKE_SUBTYPE PBS ON PBS.ID = PB.SUBTYPE
LEFT OUTER JOIN PLOVILA PL ON PL.ID = PB.IDPLOVILA
LEFT OUTER JOIN KUPCI K ON K.ID = PL.ID_LASTNIKA
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = PB.ID_PRIVEZ
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1184, SYSDATE, '5.5', 1104, 'Plovilabelezke privez')
;