CREATE OR REPLACE VIEW V_STOR_MAT AS
SELECT A.ID_DN, B.ID_RD_PROMET, B.ID_ARTIKEL, 0 AS ID_STORITVE, NULL AS STORITEV, B.KOLICINA, B.RABAT AS POPUST,
B.CENA*B.KOLICINA AS ZNESEK, B.DAV_STOPNJA AS DAVEK, B.TECAJ, B.ENOTA, NULL AS TIP_SERVIS, NULL AS N_RACUNA, NULL AS KOMENTAR
FROM S_RAZNI_DOK A, S_RD_PROMET B
WHERE A.ID_RAZNI_DOK=B.ID_RAZNI_DOK
UNION
SELECT A.ID_DN, 0 AS ID_RD_PROMET, 0 AS ID_ARTIKEL, A.ID_STORITVE, A.STORITEV, A.KOLICINA*NVL(A.KOLICINA_INSTR,1) AS KOLICINA, NVL(A.POPUST,0),
A.ZNESEK, A.DAVEK, A.TECAJP, B.ENOTA, A.TIP_SERVIS, A.N_RACUNA, A.KOMENTAR
FROM M_STORITVE A, M_NNSTOMAR B
WHERE A.STORITEV=B.SIFRA
AND (A.N_RACUNA<>'STORNO' OR A.N_RACUNA IS NULL)
;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(429, SYSDATE, '5.5', 349, 'View material in storitve');